#include <bits/stdc++.h>

using namespace std;

#define ll long long

ll rezultat[3][2];

int main()
{
    ll N, A;
    cin >> N >> A;

    if((A == 2) && (N % 2 == 1)){
        cout << "-1" << endl;
        return 0;
    }

    if(N < (A * 3)){
        cout << "-1" << endl;
        return 0;
    }

    ll ostatak = N - A * 3;

    for(int i = 0; i < 3; i++){
        for(int j = 0; j < 2; j++){
            rezultat[i][j] = 0;
        }
    }

    for(int i = 0; i < 3; i++){
        rezultat[i][0] = A;
    }

    rezultat[0][1] = min(ostatak, A - 2);
    ostatak -= min(ostatak, A - 2);

    if(ostatak == 0){
        for(int i = 0; i < 3; i++){
            cout << rezultat[i][0] << " " << rezultat[i][1] << endl;
        }
        return 0;
    }

    rezultat[1][1] += ostatak % 2;
    ostatak -= ostatak % 2;

    rezultat[0][0] += ostatak/2;
    rezultat[0][1] += ostatak/2;

    for(int i = 0; i < 3; i++){
        cout << rezultat[i][0] << " " << rezultat[i][1] << endl;
    }

    return 0;
}